﻿----------------------------------------------------------------------------
----LUA Sample Script Version 1.0.0.1---------------------------------------
----------------------------------------------------------------------------
----Author: ViperGTS96------------------------------------------------------
----------------------------------------------------------------------------
--------------------"The simplest design is always the best design." -------
----------------------------------------------------------------------------

myLUAScript = {};

myLUAScript.myLUAScript = g_currentModDirectory;  -- Gets the Mod's base directory which can only be obtained at registration. Here it is transfered to this main script.

--myLUAScript.myLUAScript now equals the base Directory of the mod for importing files.

function myLUAScript.prerequisitesPresent(specializations)

	--return SpecializationUtil.hasSpecialization(Motorized, specializations); --Must have "Motorized" specialization to use script.

    return true; --If you use the line above be sure to remove this one.

end;

function myLUAScript:load(savegame)

	self.renderHelp = false;--Boolean used for toggling the Help Menu controls.

end;

function myLUAScript:delete()
end;

function myLUAScript:mouseEvent(posX, posY, isDown, isUp, button)
end;

function myLUAScript:keyEvent(unicode, sym, modifier, isDown)
end;

function myLUAScript:updateTick(dt)
end;

function myLUAScript:update(dt)

	if g_currentMission.controlledVehicle == self then --Is in a vehicle

		if not self.isBroken then -- Vehicle is not broken
		
			if InputBinding.hasEvent(InputBinding.yourInputNameKey1) then

				-- Code for Inputbinding 1

			end;

			if InputBinding.hasEvent(InputBinding.yourInputNameKey2) then
			
				-- Code for Inputbinding 2

			end;

			if InputBinding.hasEvent(InputBinding.yourInputNameKey3) then

				-- Sample Debugging (Print to Log) (Uncomment to activate)

				--	local node = self.components[1].node;
				--	local rx,ry,rz = getRotation(node);
				--	local vx,vy,vz = getAngularVelocity(node);

				--	print("Rotation:", rx,ry,rz);
				--	print("Velocity:", vx,vy,vz);	

			end;

			if InputBinding.hasEvent(InputBinding.yourInputNameKeyH) then --(toggles the control list in the help menu) (texts H1 and H2 are used here)

					if self.renderHelp then
						self.renderHelp = false;
					else
						self.renderHelp = true;
					end;

					-- self.renderHelp = not self.renderHelp -- is the same as the above if statement.

			end;
		end;	
	end;
end;

function myLUAScript:draw()

	if self.renderHelp then
		g_currentMission:addHelpButtonText(g_i18n:getText("input_yourInputNameKeyH2"), InputBinding.yourInputNameKeyH, nil, GS_PRIO_HIGH); -- Note inputbinding H using text H2
		g_currentMission:addHelpButtonText(g_i18n:getText("input_yourInputNameKey1"), InputBinding.yourInputNameKey1, nil, GS_PRIO_HIGH);
		g_currentMission:addHelpButtonText(g_i18n:getText("input_yourInputNameKey2"), InputBinding.yourInputNameKey2, nil, GS_PRIO_HIGH); -- GS_PRIO_HIGH = High Priorty in the Help Menu (option: LOW)
		g_currentMission:addHelpButtonText(g_i18n:getText("input_yourInputNameKey3"), InputBinding.yourInputNameKey3, nil, GS_PRIO_HIGH);
	else	
		g_currentMission:addHelpButtonText(g_i18n:getText("input_yourInputNameKeyH"), InputBinding.yourInputNameKeyH, nil, GS_PRIO_HIGH); -- Note inputbinding H using text H
	end;
	--Changing the inputbindings after the script has already been used may cause a problem as the inputbindings.xml file in your save data may not update accordingly. Open inputbindings.xml and set the inputs to match your new/current values to solve the problem.
end;

function myLUAScript:onLeave()
end;